Bug 719306 - Number buttons cannot be used in kcalc
Number buttons cannot be used in kcalc
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kdeutils (Show other bugs)
15
x86_64 Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-07-06 08:32 EDT by Sammy
Modified: 2011-07-18 18:44 EDT (History)
7 users (show)

See Also:
Fixed In Version: kde-l10n-4.6.5-1.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-07-18 18:44:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Sammy 2011-07-06 08:32:54 EDT
I have tried the kde 4.6.5 packages from koji on Fedora 15. Everyhting is
fine except I just noticed last night that if you try to enter numbers into
kcalc from the keyboard nothing happens. You can still use the mouse to
enter numbers and backspace key works, so it is just the number keys. This is
true on laptop and desktop. For your information.
Comment 1 Kevin Kofler 2011-07-06 15:40:50 EDT
This is a regression in 4.6.5 from upstream trying to fix a related bug:
https://bugs.kde.org/show_bug.cgi?id=256591#c43
Comment 2 Sammy 2011-07-06 20:17:03 EDT
Yes. I reversed the patch that was used to fix that bug and the keys are
now working.
Comment 3 Fedora Update System 2011-07-07 09:03:22 EDT
kde-l10n-4.6.5-1.fc15,kdeaccessibility-4.6.5-1.fc15,kdeadmin-4.6.5-1.fc15,kdeartwork-4.6.5-1.fc15,kdebase-4.6.5-1.fc15,kdebase-runtime-4.6.5-1.fc15,kdebase-workspace-4.6.5-2.fc15,kdebindings-4.6.5-1.fc15,kdeedu-4.6.5-1.fc15,kdegames-4.6.5-1.fc15,kdegraphics-4.6.5-3.fc15,kdelibs-4.6.5-1.fc15,kdemultimedia-4.6.5-1.fc15,kdenetwork-4.6.5-1.fc15,kdepimlibs-4.6.5-1.fc15,kdeplasma-addons-4.6.5-1.fc15,kdesdk-4.6.5-1.fc15,kdetoys-4.6.5-1.fc15,kdeutils-4.6.5-2.fc15,oxygen-icon-theme-4.6.5-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/kde-l10n-4.6.5-1.fc15,kdeaccessibility-4.6.5-1.fc15,kdeadmin-4.6.5-1.fc15,kdeartwork-4.6.5-1.fc15,kdebase-4.6.5-1.fc15,kdebase-runtime-4.6.5-1.fc15,kdebase-workspace-4.6.5-2.fc15,kdebindings-4.6.5-1.fc15,kdeedu-4.6.5-1.fc15,kdegames-4.6.5-1.fc15,kdegraphics-4.6.5-3.fc15,kdelibs-4.6.5-1.fc15,kdemultimedia-4.6.5-1.fc15,kdenetwork-4.6.5-1.fc15,kdepimlibs-4.6.5-1.fc15,kdeplasma-addons-4.6.5-1.fc15,kdesdk-4.6.5-1.fc15,kdetoys-4.6.5-1.fc15,kdeutils-4.6.5-2.fc15,oxygen-icon-theme-4.6.5-1.fc15
Comment 4 Fedora Update System 2011-07-12 00:56:03 EDT
Package kde-l10n-4.6.5-1.fc15, kdeaccessibility-4.6.5-1.fc15, kdeadmin-4.6.5-1.fc15, kdeartwork-4.6.5-1.fc15, kdebase-4.6.5-1.fc15, kdebase-runtime-4.6.5-1.fc15, kdebase-workspace-4.6.5-2.fc15, kdebindings-4.6.5-1.fc15, kdeedu-4.6.5-1.fc15, kdegames-4.6.5-1.fc15, kdegraphics-4.6.5-3.fc15, kdelibs-4.6.5-1.fc15, kdemultimedia-4.6.5-1.fc15, kdenetwork-4.6.5-1.fc15, kdepimlibs-4.6.5-1.fc15, kdeplasma-addons-4.6.5-1.fc15, kdesdk-4.6.5-1.fc15, kdetoys-4.6.5-1.fc15, kdeutils-4.6.5-2.fc15, oxygen-icon-theme-4.6.5-1.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing kde-l10n-4.6.5-1.fc15 kdeaccessibility-4.6.5-1.fc15 kdeadmin-4.6.5-1.fc15 kdeartwork-4.6.5-1.fc15 kdebase-4.6.5-1.fc15 kdebase-runtime-4.6.5-1.fc15 kdebase-workspace-4.6.5-2.fc15 kdebindings-4.6.5-1.fc15 kdeedu-4.6.5-1.fc15 kdegames-4.6.5-1.fc15 kdegraphics-4.6.5-3.fc15 kdelibs-4.6.5-1.fc15 kdemultimedia-4.6.5-1.fc15 kdenetwork-4.6.5-1.fc15 kdepimlibs-4.6.5-1.fc15 kdeplasma-addons-4.6.5-1.fc15 kdesdk-4.6.5-1.fc15 kdetoys-4.6.5-1.fc15 kdeutils-4.6.5-2.fc15 oxygen-icon-theme-4.6.5-1.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/kde-l10n-4.6.5-1.fc15,kdeaccessibility-4.6.5-1.fc15,kdeadmin-4.6.5-1.fc15,kdeartwork-4.6.5-1.fc15,kdebase-4.6.5-1.fc15,kdebase-runtime-4.6.5-1.fc15,kdebase-workspace-4.6.5-2.fc15,kdebindings-4.6.5-1.fc15,kdeedu-4.6.5-1.fc15,kdegames-4.6.5-1.fc15,kdegraphics-4.6.5-3.fc15,kdelibs-4.6.5-1.fc15,kdemultimedia-4.6.5-1.fc15,kdenetwork-4.6.5-1.fc15,kdepimlibs-4.6.5-1.fc15,kdeplasma-addons-4.6.5-1.fc15,kdesdk-4.6.5-1.fc15,kdetoys-4.6.5-1.fc15,kdeutils-4.6.5-2.fc15,oxygen-icon-theme-4.6.5-1.fc15
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2011-07-13 15:25:30 EDT
Package kde-l10n-4.6.5-1.fc15, kdeaccessibility-4.6.5-1.fc15, kdeadmin-4.6.5-1.fc15, kdeartwork-4.6.5-1.fc15, kdebase-4.6.5-1.fc15, kdebase-runtime-4.6.5-1.fc15, kdebase-workspace-4.6.5-2.fc15, kdebindings-4.6.5-1.fc15, kdeedu-4.6.5-1.fc15, kdegames-4.6.5-1.fc15, kdegraphics-4.6.5-3.fc15, kdelibs-4.6.5-1.fc15, kdenetwork-4.6.5-1.fc15, kdepimlibs-4.6.5-1.fc15, kdeplasma-addons-4.6.5-1.fc15, kdesdk-4.6.5-1.fc15, kdetoys-4.6.5-1.fc15, kdeutils-4.6.5-2.fc15, oxygen-icon-theme-4.6.5-1.fc15, kdemultimedia-4.6.5-2.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing kde-l10n-4.6.5-1.fc15 kdeaccessibility-4.6.5-1.fc15 kdeadmin-4.6.5-1.fc15 kdeartwork-4.6.5-1.fc15 kdebase-4.6.5-1.fc15 kdebase-runtime-4.6.5-1.fc15 kdebase-workspace-4.6.5-2.fc15 kdebindings-4.6.5-1.fc15 kdeedu-4.6.5-1.fc15 kdegames-4.6.5-1.fc15 kdegraphics-4.6.5-3.fc15 kdelibs-4.6.5-1.fc15 kdenetwork-4.6.5-1.fc15 kdepimlibs-4.6.5-1.fc15 kdeplasma-addons-4.6.5-1.fc15 kdesdk-4.6.5-1.fc15 kdetoys-4.6.5-1.fc15 kdeutils-4.6.5-2.fc15 oxygen-icon-theme-4.6.5-1.fc15 kdemultimedia-4.6.5-2.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/kde-l10n-4.6.5-1.fc15,kdeaccessibility-4.6.5-1.fc15,kdeadmin-4.6.5-1.fc15,kdeartwork-4.6.5-1.fc15,kdebase-4.6.5-1.fc15,kdebase-runtime-4.6.5-1.fc15,kdebase-workspace-4.6.5-2.fc15,kdebindings-4.6.5-1.fc15,kdeedu-4.6.5-1.fc15,kdegames-4.6.5-1.fc15,kdegraphics-4.6.5-3.fc15,kdelibs-4.6.5-1.fc15,kdemultimedia-4.6.5-2.fc15,kdenetwork-4.6.5-1.fc15,kdepimlibs-4.6.5-1.fc15,kdeplasma-addons-4.6.5-1.fc15,kdesdk-4.6.5-1.fc15,kdetoys-4.6.5-1.fc15,kdeutils-4.6.5-2.fc15,oxygen-icon-theme-4.6.5-1.fc15
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2011-07-18 18:43:45 EDT
kde-l10n-4.6.5-1.fc15, kdeaccessibility-4.6.5-1.fc15, kdeadmin-4.6.5-1.fc15, kdeartwork-4.6.5-1.fc15, kdebase-4.6.5-1.fc15, kdebase-runtime-4.6.5-1.fc15, kdebase-workspace-4.6.5-2.fc15, kdebindings-4.6.5-1.fc15, kdeedu-4.6.5-1.fc15, kdegames-4.6.5-1.fc15, kdegraphics-4.6.5-3.fc15, kdelibs-4.6.5-1.fc15, kdenetwork-4.6.5-1.fc15, kdepimlibs-4.6.5-1.fc15, kdeplasma-addons-4.6.5-1.fc15, kdesdk-4.6.5-1.fc15, kdetoys-4.6.5-1.fc15, kdeutils-4.6.5-2.fc15, oxygen-icon-theme-4.6.5-1.fc15, kdemultimedia-4.6.5-2.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.